<?xml version="1.0" encoding="UTF-8"?>

<!--
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 * 
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
-->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.wso2.identity.apps</groupId>
        <artifactId>identity-apps-cloud</artifactId>
        <version>0.0.1621</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>

    <artifactId>console</artifactId>
    <name>WSO2 Identity Cloud Apps - Console</name>
    <modelVersion>4.0.0</modelVersion>
    <packaging>war</packaging>
    <description>WSO2 Identity Cloud Console App</description>
    <url>http://wso2.org</url>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.tomcat.maven</groupId>
                <version>2.2</version>
                <artifactId>tomcat7-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <executions>
                    <execution>
                        <id>prepare-deploy-package</id>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>run</goal>
                        </goals>
                        <configuration>
                            <target>
                                <copy todir="target/console/">
                                    <fileset dir="../../target/identity-apps/apps/console/build/console/" includes="**/*" />
                                </copy>
                            </target>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <version>3.5.1</version>
                <artifactId>maven-compiler-plugin</artifactId>
            </plugin>
            <plugin>
                <artifactId>maven-war-plugin</artifactId>
                <version>3.2.3</version>
                <configuration>
                    <copy todir="./" file="./target/identity-console-v${project.version}" overwrite="true" />
                    <warName>identity-console-v${project.version}</warName>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
